COMEDI_LOCK(3)

NAME
comedi_lock - subdevice reservation

SYNOPSIS

#include <comedilib.h>

int comedi_lock(comedi_t * device, unsigned int subdevice);

DESCRIPTION

The function comedi_lock reserves a subdevice for use by the current process. While the lock is held, no other process is allowed to read, write, or configure that subdevice, although other processes can read information about the subdevice. The lock is released by comedi_unlock, or when comedi_close is called on device.

RETURN VALUE

If successful, 0 is returned. If there is an error, -1 is returned.

AUTHORS

David Schleef <ds@schleef.org>
    Author.

Frank Mori Hess <fmhess@users.sourceforge.net>
    Author.

Herman Bruyninckx <Herman.Bruyninckx@mech.kuleuven.ac.be>
    Author.

Bernd Porr <tech@linux-usb-daq.co.uk>
    Author.

Ian Abbott <abbotti@mev.co.uk>
    Author.

Éric Piel <piel@delmic.com>
    Author.

COPYRIGHT
Copyright © 1998-2003 David Schleef
Copyright © 2001-2003, 2005, 2008 Frank Mori Hess
Copyright © 2002-2003 Herman Bruyninckx
Copyright © 2012 Bernd Porr
Copyright © 2012 Ian Abbott
Copyright © 2012, 2015 Éric Piel

This document is part of Comedilib. In the context of this document, the term "source code" as defined by the license is interpreted as the XML source.

This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation, version 2.1 of the License.

This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.